# ⚡ Meg_room : a package to simplify MEG experimentation

**Meg_room** aims to enhance MEG data quality by assisting new experimenters, allowing them to benefit from the best practices established by more experienced researchers. It serves as the digital counterpart to the well-structured organization of an acquisition platform.

**Meg_room** is designed to connect the different systems in an experiment room. The user has easy access to hardware configurations, as well as a suite of tests and features to assist with experimentation.


# 🚀 **Features**  

The four main features of **Meg_room** are presented here.  

- ✅ **Automated Hardware Configuration Loading**  
  - **Simplification** Eliminates hardcoding of hardware parameters such as parallel port addresses.  
  - **Standardization** Provides all necessary drivers in a single package.  

- 🔧 **Experiment Configuration Sanity Checks**  
  - Ensures that the hardware is properly connected based on the provided experiment configuration file.  

- 🚨 **Assistance for Debugging Hardware Malfunctions**  
  - Helps identify and resolve hardware-related issues during acquisition.  
  - Provides diagnostic tools to quickly detect connection failures or misconfigurations.  

- 🛠️ **Enhanced Acquisition Robustness & Data Quality Assessment**  
  - Offers simple tools to improve the stability of data acquisition.  
  - Facilitates rapid evaluation of data quality to detect potential issues early.  

# 💡 **Contribute & Improve**  

This tool is designed specifically for the **NeuroSpin MEG platform**.  
Feel free to **suggest improvements**, **propose new features**, or **contribute to the MEG platform documentation**! 🚀  
